// package: bet.beteran.member
// file: models/member/member_site.proto

import * as jspb from 'google-protobuf';

export class MemberSite extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getUrl(): string;
  setUrl(value: string): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  hasDeletedAt(): boolean;
  clearDeletedAt(): void;
  getDeletedAt(): number;
  setDeletedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberSite.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: MemberSite
  ): MemberSite.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: MemberSite,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): MemberSite;
  static deserializeBinaryFromReader(
    message: MemberSite,
    reader: jspb.BinaryReader
  ): MemberSite;
}

export namespace MemberSite {
  export type AsObject = {
    id: string;
    url: string;
    createdAt: number;
    updatedAt: number;
    deletedAt: number;
  };
}
